Page MenuHomePhabricator

Make the ordering for references and qualifiers similar to the ordering of statements
Closed, DeclinedPublic

Description

Currently, the ordering of references and qualifiers do not follow the ordering of statements.

For example :
If the statement of an item is ordered like below:

Retrieved: 20 October 2002
Retrieved URL : www.anything.com

, the reference will be ordered like below (the "Retrieved URL" precedes the "Retrieve". This order is not similar to how they are ordered in statements):

Retrieved URL : ...
Retrieved: ...

This also applies to qualifiers.

We need to make the ordering for references and qualifiers similar to the ordering of statements so that we can improve the readability of items. Such consistent ordering eases us to find certain references/qualifiers.

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptOct 12 2016, 2:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ladsgroup moved this task from proposed to doing on the WMDE-TLA-Team board.
Ladsgroup moved this task from Incoming to In progress on the User-Ladsgroup board.
Ladsgroup moved this task from doing to proposed on the WMDE-TLA-Team board.Oct 29 2016, 9:14 PM
Ladsgroup moved this task from In progress to Later on the User-Ladsgroup board.Nov 1 2016, 6:10 PM
Lydia_Pintscher closed this task as Declined.Nov 29 2016, 9:35 AM

In the end I think we can drop this and instead do the implementation in Wikibase directly once we do the ordering of statements there.